/* AuthenticatePanel */

#import <Cocoa/Cocoa.h>

@interface AuthenticatePanel : NSPanel
{
@private
	NSString *_user, *_password;
    IBOutlet id info, okBtn, lockImage, user, password;
	BOOL _didStop;
}

// Supports also salted hashes ([NSString saltedHash])
+ (BOOL)authenticateUser:(NSString *)userStr password:(NSString *)passwordStr info:(NSString *)infoStr;
+ (BOOL)enterAndAuthenticateUser:(NSString **)userStr password:(NSString **)passwordStr info:(NSString *)infoStr;
+ (BOOL)enterUser:(NSString **)userStr password:(NSString **)passwordStr info:(NSString *)infoStr;

- (IBAction)entered:(id)sender;
- (IBAction)authenticate:(id)sender;
- (IBAction)cancel:(id)sender;

@end
